# wxDataViewChoiceRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataview.h>`

Inheritance diagram for wxDataViewChoiceRenderer:
[legend]

## Detailed Description

This class is used by wxDataViewCtrl to render choice controls.

It stores a string so that SetValue() and GetValue() operate on a variant holding a string.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewChoiceRenderer (const wxArrayString &choices, wxDataViewCellMode mode=wxDATAVIEW_CELL_EDITABLE, int alignment=wxDVR_DEFAULT_ALIGNMENT)
| The ctor.
wxString | GetChoice (size_t index) const
| Returns the choice referred to by index.
const wxArrayString & | GetChoices () const
| Returns all choices.

List of all members.

## Constructor & Destructor Documentation

wxDataViewChoiceRenderer::wxDataViewChoiceRenderer | ( | const wxArrayString & | choices,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_EDITABLE`,
|  | int | alignment = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

The ctor.

## Member Function Documentation

wxString wxDataViewChoiceRenderer::GetChoice | ( | size_t | index | ) | const

Returns the choice referred to by index.

const wxArrayString& wxDataViewChoiceRenderer::GetChoices | ( |  | ) | const

Returns all choices.

|  | [ top ]